#![allow(non_snake_case)]

#[allow(clippy::expect_used)]
fn main() {
    #[cfg(feature = "web")]
    {
        dioxus_logger::init(tracing::Level::DEBUG).expect("Failed to init logger");
        dioxus::web::launch::launch_cfg(
            compliance_dashboard::App,
            dioxus::web::Config::new().hydrate(true),
        );
    }

    #[cfg(feature = "server")]
    {
        dotenvy::dotenv().ok();
        let _telemetry_guard = compliance_core::telemetry::init_telemetry("compliance-dashboard");

        compliance_dashboard::infrastructure::server_start(compliance_dashboard::App)
            .map_err(|e| {
                tracing::error!("Unable to start server: {e}");
            })
            .expect("Server start failed")
    }
}
